VULKAN_HPP_NAMESPACE::DisplayModePropertiesKHR Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::DisplayModePropertiesKHR:
[legend]

## Public Member Functions

| operator VkDisplayModePropertiesKHR const & () const
| operator VkDisplayModePropertiesKHR & ()
bool | operator== (DisplayModePropertiesKHR const &rhs) const
bool | operator!= (DisplayModePropertiesKHR const &rhs) const

## Data Fields

DisplayModeKHR | displayMode
DisplayModeParametersKHR | parameters

## Detailed Description

Definition at line 7161 of file vulkan.hpp.

## Member Function Documentation

## operator VkDisplayModePropertiesKHR &()

VULKAN_HPP_NAMESPACE::DisplayModePropertiesKHR::operator VkDisplayModePropertiesKHR & | ( |  | ) |

inline

Definition at line 7168 of file vulkan.hpp.

{
return *reinterpret_cast<VkDisplayModePropertiesKHR*>(this);
}

## operator VkDisplayModePropertiesKHR const &()

VULKAN_HPP_NAMESPACE::DisplayModePropertiesKHR::operator VkDisplayModePropertiesKHR const & | ( |  | ) | const

inline

Definition at line 7163 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDisplayModePropertiesKHR*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DisplayModePropertiesKHR::operator!= | ( | DisplayModePropertiesKHR const & | rhs | ) | const

inline

Definition at line 7179 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::DisplayModePropertiesKHR::operator== | ( | DisplayModePropertiesKHR const & | rhs | ) | const

inline

Definition at line 7173 of file vulkan.hpp.

{
return ( displayMode == rhs.displayMode )
&& ( parameters == rhs.parameters );
}

References displayMode, and parameters.

Referenced by operator!=().

## Field Documentation

## displayMode

DisplayModeKHR VULKAN_HPP_NAMESPACE::DisplayModePropertiesKHR::displayMode

Definition at line 7184 of file vulkan.hpp.

Referenced by operator==().

## parameters

DisplayModeParametersKHR VULKAN_HPP_NAMESPACE::DisplayModePropertiesKHR::parameters

Definition at line 7185 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DisplayModePropertiesKHR::parameters
DisplayModeParametersKHR parameters
Definition: vulkan.hpp:7185
VULKAN_HPP_NAMESPACE::DisplayModePropertiesKHR::operator==
bool operator==(DisplayModePropertiesKHR const &rhs) const
Definition: vulkan.hpp:7173
VkDisplayModePropertiesKHR
Definition: vulkan_core.h:4982
VULKAN_HPP_NAMESPACE::DisplayModePropertiesKHR::displayMode
DisplayModeKHR displayMode
Definition: vulkan.hpp:7184